package com.ym.mec.web.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 班级类型(普通班级、合奏班级)
 */
public enum ClassGroupTypeEnum implements BaseEnum<String,ClassGroupTypeEnum> {
    COMMON("COMMON","普通班级"),
    CONCERT("CONCERT","合奏班级"),
    ENHANCE("ENHANCE","提高班");

    private String code;

    private String msg;

    ClassGroupTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }}
